

function act_checkbox(va)
{
	if(va == true){
		document.frm1.campo1.disabled = 0;
		//document.getElementById("ftipocto").style.visibility='visible';
	}else{
		document.frm1.campo1.disabled = 1;
		//document.getElementById("ftipocto").style.visibility='hidden';
	}
}
function act_funcion(va)
{
	if(va == true){
		document.frm1.campo2.disabled = 0;
		//document.getElementById("ftipocto").style.visibility='visible';
	}else{
		document.frm1.campo2.disabled = 1;
		//document.getElementById("ftipocto").style.visibility='hidden';
	}
}
function act_ghy(va)
{
	if(va == true){
		document.frm1.campo3.disabled = 0;
	}else{
		document.frm1.campo3.disabled = 1;
	}
}
function act_dfg(va)
{
	if(va == true){
		document.frm1.campo4.disabled = 0;
	}else{
		document.frm1.campo4.disabled = 1;
	}
}
function act_fib(va)
{
	if(va == true){
		document.frm1.campo5.disabled = 0;
	}else{
		document.frm1.campo5.disabled = 1;
	}
}

function suma_campo(){
	var objTex1=document.getElementById('campo1'),
		objTex2=document.getElementById('campo2'),
		objTex3=document.getElementById('campo3'),
		objTex4=document.getElementById('campo4'),
		objTex5=document.getElementById('campo5'),
		objTex6=document.getElementById('campo6'),
		objTex7=document.getElementById('campo7'),
		
		
		objTex90=document.getElementById('campo90');
		objTex90.value=(parseFloat(objTex1.value)+parseFloat(objTex2.value)+parseFloat(objTex3.value)+parseFloat(objTex4.value)+parseFloat(objTex5.value)+parseFloat(objTex6.value)+parseFloat(objTex7.value));
		}
	  
function openhabinput(type){ 
var regs='';
$.fancybox.helpers.overlay.defaults.closeClick=false;
        regs=$("#ingHab1").val()+""+$("#ingHab2").val()+$("#ingHab3").val()+$("#ingHab4").val()+$("#ingHab5").val()+$("#ingHab6").val()+$("#ingHab7").val()+$("#ingHab8").val();
 


 $.fancybox.showLoading();
          $.ajax({
            type : "POST", 
            cache : false,
            width:'900px',
            height:'600px',
            url : 'valeryus40000_PR-SRV.php',
            data  : '&gc=' + 1 +'&fl=' + $("#ffecllegada").val() + '&fs=' + $("#ffecsalida").val() + '&rg=' + $("#nreg1").val() + '&ir=' + $("#tipo1").val() + '&sc=' + regs,
            success : function(data) {

             
              $.fancybox({
            content: data,
            width: 550,
              closeBtn:false,
         
        "enableEscapeButton" : false ,
            title: '<input type="button" value="Aceptar" onclick="devCheCorr();jQuery.fancybox.close();">',
                   });
            }
                                  
          });
                    
                    
       
        }
       
function checkAllBox(check){
	var objCorr=document.getElementsByName('checorr'),i=0,auxCheck= new Array(),auxi=0;
	for(i=0;i<objCorr.length;i++){
			objCorr[i].checked=check;
	}
}


function devCheCorr(){
    
  var  currenttype='';
  var strres=''
   $('#ingHab1').val("");
   $('#ingHab2').val("");
   $('#ingHab3').val("");
   $('#ingHab4').val("");
   $('#ingHab5').val("");
   $('#ingHab6').val("");
  $('#ingHab7').val("");
  $('#ingHab8').val("");
  
  $('.habitacionchk').each(function(){
       
      if($(this).is(':checked')){             
            currenttype=$(this).attr('title');
			console.log(currenttype.trim());
             if(currenttype.trim()=="V JARDIN KING"){
                 $('#ingHab1').val($('#ingHab1').val()+"|"+$(this).val());                
                }else if(currenttype.trim()=="ESTANDAR DOS MATRIMONIALES"){
                   $('#ingHab2').val($('#ingHab2').val()+"|"+$(this).val());
                }else if(currenttype.trim()=="SUITE"){
                   $('#ingHab3').val($('#ingHab3').val()+"|"+$(this).val());
                }else if(currenttype.trim()=="VISTA PARCIAL KING"){
                  $('#ingHab4').val($('#ingHab4').val()+"|"+$(this).val());
                 }else if(currenttype.trim()=="VISTA PARCIAL DOS MATRIMONIALES"){
                   $('#ingHab5').val($('#ingHab5').val()+"|"+$(this).val());
                }else if(currenttype.trim()=="VISTA TOTAL DOS MATRIMONIALES"){
                 $('#ingHab6').val($('#ingHab6').val()+"|"+$(this).val());
                }else if(currenttype.trim()=="VISTA TOTAL KING"){
                   $('#ingHab7').val($('#ingHab7').val()+"|"+$(this).val());
                } else if(currenttype.trim()=="V JARDIN DOS MATRIMONIALES"){
                   $('#ingHab8').val($('#ingHab8').val()+"|"+$(this).val());
                }             
              
              
            
        } 
    });  
    $ .fancybox.close();
      
 
  var regs='';
    $('.txthab').each(function(){
        if($(this).val()==""){
            $(this).val(0);
        }else
        {
          
            regs+=$(this).val();
          var total= regs.split("|");
        
           $('#campo90').val(total.length-1);
             
        }
         
    });
}

function devCheCorr2(){
	var objCorr=document.getElementsByName('checorr'),i=0,auxCheck= new Array(),auxi=0;
	for(i=0;i<objCorr.length;i++){
		if(objCorr[i].checked){
			auxCheck[auxi]=objCorr[i].value;
			auxi++;
		}
	}
	
	ge('ingHab2').value= "|"+auxCheck.join('|')+"|";
	removeHTML_OBJECT('divCorrales');
	
}

function devCheCorr3(){
	var objCorr=document.getElementsByName('checorr'),i=0,auxCheck= new Array(),auxi=0;
	for(i=0;i<objCorr.length;i++){
		if(objCorr[i].checked){
			auxCheck[auxi]=objCorr[i].value;
			auxi++;
		}
	}
	
	ge('ingHab3').value= "|"+auxCheck.join('|')+"|";
	removeHTML_OBJECT('divCorrales');
	
}

function devCheCorr4(){
	var objCorr=document.getElementsByName('checorr'),i=0,auxCheck= new Array(),auxi=0;
	for(i=0;i<objCorr.length;i++){
		if(objCorr[i].checked){
			auxCheck[auxi]=objCorr[i].value;
			auxi++;
		}
	}
	
	ge('ingHab4').value= "|"+auxCheck.join('|')+"|";
	removeHTML_OBJECT('divCorrales');
	
}

function devCheCorr5(){
	var objCorr=document.getElementsByName('checorr'),i=0,auxCheck= new Array(),auxi=0;
	for(i=0;i<objCorr.length;i++){
		if(objCorr[i].checked){
			auxCheck[auxi]=objCorr[i].value;
			auxi++;
		}
	}
	
	ge('ingHab5').value= "|"+auxCheck.join('|')+"|";
	removeHTML_OBJECT('divCorrales');
	
}

function devCheCorr6(){
	var objCorr=document.getElementsByName('checorr'),i=0,auxCheck= new Array(),auxi=0;
	for(i=0;i<objCorr.length;i++){
		if(objCorr[i].checked){
			auxCheck[auxi]=objCorr[i].value;
			auxi++;
		}
	}
	
	ge('ingHab6').value= "|"+auxCheck.join('|')+"|";
	removeHTML_OBJECT('divCorrales');
	
}

function devCheCorr7(){
	var objCorr=document.getElementsByName('checorr'),i=0,auxCheck= new Array(),auxi=0;
	for(i=0;i<objCorr.length;i++){
		if(objCorr[i].checked){
			auxCheck[auxi]=objCorr[i].value;
			auxi++;
		}
	}
	
	ge('ingHab7').value= "|"+auxCheck.join('|')+"|";
	removeHTML_OBJECT('divCorrales');
	
}





